# norootforbuild
%define pkg_name    xdebug
#
Name: php5-xdebug
Version: 2.4.0
Release: 4.1
#
License: BSD
Group: Productivity/Networking/Web/Servers
#
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires: php5-devel

#
URL: http://www.xdebug.org/
Source: http://pecl.php.net/package/Xdebug/%{pkg_name}-%{version}.tgz
Source1: xdebug.ini
Summary: Extended PHP debugger
%requires_eq php5

%description

The Xdebug extension helps you debugging your script by providing a lot of
valuable debug information. The debug information that Xdebug can provide
includes the following:

* stack and function traces in error messages with:
o full parameter display for user defined functions
o function name, file name and line indications
o support for member functions
* memory allocation
* protection for infinite recursions

Xdebug also provides:

* profiling information for PHP scripts
* script execution analysis
* capabilities to debug your scripts interactively with a debug client

Authors:
---------
    Derick Rethans derick@php.net

%prep
%setup -q -n %{pkg_name}-%{version}


%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}
#Important : gcc optimization levels  miscompile (ed) this package
#problem was observed in 10.0 not sure if still exists.. 
CFLAGS=`echo "$RPM_OPT_FLAGS" | sed -e 's/-O[0-9]*//g'`
CFLAGS="$CFLAGS -fno-strict-aliasing"

%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
%endif

export CFLAGS

../configure --enable-xdebug

%{__make} %{?jobs:-j%jobs}
popd

%install

%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php5/conf.d
%{__install} -m 644 %{S:1} %{buildroot}%{_sysconfdir}/php5/conf.d/xdebug.ini

%clean

%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/xdebug.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/xdebug.ini

%doc README.rst LICENSE CREDITS

%changelog
* Tue Apr 19 2016 cs@linux-administrator.com
- update to release 2.4.0
* Fri Jun 19 2015 cs@linux-administrator.com
- update to release 2.3.3
* Mon Mar 23 2015 cs@linux-administrator.com
- update to release 2.3.2
* Wed Feb 25 2015 cs@linux-administrator.com
- update to release 2.3.1
* Fri Jan 23 2015 cs@linux-administrator.com
- update to release 2.2.7
* Wed Nov 19 2014 cs@linux-administrator.com
- update to release 2.2.6
* Thu May  1 2014 cs@linux-administrator.com
- update to release 2.2.5
* Sun Mar  2 2014 cs@linux-administrator.com
- update to release 2.2.4
* Sun Mar 24 2013 cs@linux-administrator.com
- update to release 2.2.2
* Tue Sep 18 2012 cs@linux-administrator.com
- update to release 2.2.1
* Wed Mar 14 2012 cs@linux-administrator.com
- update to release 2.1.4
* Sun Jan 29 2012 cs@linux-administrator.com
- update to release 2.1.3
* Tue Dec 30 2008 cs@linux-administrator.com
  * Fixed bugs:
- Fixed for strange jump positions in path analysis.
- Fixed issues with code coverage crashing on parse errors.
- Fixed code code coverage by overriding more opcodes.
- Fixed issues with Xdebug stalling/crashing when detaching from remote debugging.
- Fixed crash on Vista where memory was freed with routines from a different
  standard-C library than it was allocated with. (Patch by Eric Promislow).
- Link against the correct CRT library. (Patch by Eric Promislow).
- Sort the symbol elements according to name. (Patch by Eric Promislow).
- Fixed support for mapped-drive UNC paths for Windows. (Patch by Eric Promislow ).
- Fixed a segfault in interactive mode while including a file.
- Fixed a crash in super global dumping in case somebody was strange enough
  to reassign them to a value type other than an Array.
- Simplify version checking for libtool. (Patch by PGNet).
- Fixed display of unused returned variables from functions in PHP 5.3.
- Include config.w32 in the packages as well.
- Fixed .dsp for building with PHP 4.
  * Added features:
- Support debugging into phars.
- Basic PHP 5.3 support.
* Mon Nov 12 2007 crrodriguez@suse.de
- version 2.0.2
- Fixed bug #325: DBGP: "detach" stops further sessions being established
  from Apache.
- Fixed bug #321: Code coverage crashes on empty PHP files.
- Fixed bug #318: Segmentation Fault in code coverage analysis.
- Fixed bug #315: Xdebug crashes when including a file that doesn't exist.
- Fixed bug #314: PHP CLI Error Logging thwarted when XDebug Loaded.
- Fixed bug #300: Direction of var_dump().
- Always set the transaction_id and command. (Related to bug #313).
* Mon Oct 22 2007 crrodriguez@suse.de
- update to version 2.0.1
- Improved code coverage performance dramatically.
- PHP 5.3 compatibility (no namespaces yet though).
- Fixed bug #300: Xdebug does not force LTR rendering for its tables.
- Fixed bug #299: Computerized traces don't have a newline for return
  entries if memory limit is not enabled.
- Fixed bug #298: xdebug_var_dump() doesn't handle entity replacements
  correctly concerning string length.
- Fixed a memory free error related to remote debugging conditions.
* Thu May 17 2007 judas_iscariote@shorewall.net
- update snapshot to RC5-dev
* Sun Apr 29 2007 judas_iscariote@shorewall.net
- update to RC4 snapshot to fix some annoying crashes and bugs.
